package org.jeecg.modules.dataVue.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.aspectj.weaver.loadtime.Aj;
import org.jeecg.modules.dataVue.entity.Ajh;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface IAjhService extends IService<Ajh> {

    public List<Map<String, Object>> querySql(String sqlStr, String reserve);
    public int querySqlCount(String sqlStr, String reserve) ;

    String getRbEjdw(String ejdw);

    List<Ajh> selectNotNullList();

    int updateAjhWarnByJh(String jh ,  String warnTime , int count);

    Ajh selectAjhByJh(String jh);

    void pageByUserDw();
}
